Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class ComponentTransferRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.ComponentTransferRable8Bit

All Implemented Interfaces:
  RenderableImage, ComponentTransferRable, Filter, FilterColorInterpolation

    public class ComponentTransferRable8Bit

extends AbstractColorInterpolationRable
implements ComponentTransferRable

This class implements the interface expected from a component transfer operation.

Field Summary
`static int` | `ALPHA`
`static int` | `BLUE`
`static int` | `GREEN`
`static int` | `RED`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`ComponentTransferRable8Bit(Filter src, ComponentTransferFunction alphaFunction, ComponentTransferFunction redFunction, ComponentTransferFunction greenFunction, ComponentTransferFunction blueFunction)`

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`ComponentTransferFunction` | `getAlphaFunction()` Returns the transfer function for the alpha channel
`ComponentTransferFunction` | `getBlueFunction()` Returns the transfer function for the blue channel
`ComponentTransferFunction` | `getGreenFunction()` Returns the transfer function for the green channel
`ComponentTransferFunction` | `getRedFunction()` Returns the transfer function for the red channel
`Filter` | `getSource()` Returns the source of the blur operation
`void` | `setAlphaFunction(ComponentTransferFunction alphaFunction)` Sets the transfer function for the alpha channel
`void` | `setBlueFunction(ComponentTransferFunction blueFunction)` Sets the transfer function for the blue channel
`void` | `setGreenFunction(ComponentTransferFunction greenFunction)` Sets the transfer function for the green channel
`void` | `setRedFunction(ComponentTransferFunction redFunction)` Sets the transfer function for the red channel
`void` | `setSource(Filter src)` Sets the source of the blur operation

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

### RED

    public static final int RED

See Also:
  Constant Field Values

### GREEN

    public static final int GREEN

See Also:
  Constant Field Values

### BLUE

    public static final int BLUE

See Also:
  Constant Field Values

Constructor Detail

### ComponentTransferRable8Bit

    public ComponentTransferRable8Bit(Filter src,
                                      ComponentTransferFunction alphaFunction,
                                      ComponentTransferFunction redFunction,
                                      ComponentTransferFunction greenFunction,
                                      ComponentTransferFunction blueFunction)

Method Detail

### setSource

    public void setSource(Filter src)

  Sets the source of the blur operation

  Specified by:
    `setSource` in interface `ComponentTransferRable`
  Parameters:
    `src` - image to offset.

### getSource

    public Filter getSource()

  Returns the source of the blur operation

  Specified by:
    `getSource` in interface `ComponentTransferRable`

### getAlphaFunction

    public ComponentTransferFunction getAlphaFunction()

  Returns the transfer function for the alpha channel

  Specified by:
    `getAlphaFunction` in interface `ComponentTransferRable`

### setAlphaFunction

    public void setAlphaFunction(ComponentTransferFunction alphaFunction)

  Sets the transfer function for the alpha channel

  Specified by:
    `setAlphaFunction` in interface `ComponentTransferRable`

### getRedFunction

    public ComponentTransferFunction getRedFunction()

  Returns the transfer function for the red channel

  Specified by:
    `getRedFunction` in interface `ComponentTransferRable`

### setRedFunction

    public void setRedFunction(ComponentTransferFunction redFunction)

  Sets the transfer function for the red channel

  Specified by:
    `setRedFunction` in interface `ComponentTransferRable`

### getGreenFunction

    public ComponentTransferFunction getGreenFunction()

  Returns the transfer function for the green channel

  Specified by:
    `getGreenFunction` in interface `ComponentTransferRable`

### setGreenFunction

    public void setGreenFunction(ComponentTransferFunction greenFunction)

  Sets the transfer function for the green channel

  Specified by:
    `setGreenFunction` in interface `ComponentTransferRable`

### getBlueFunction

    public ComponentTransferFunction getBlueFunction()

  Returns the transfer function for the blue channel

  Specified by:
    `getBlueFunction` in interface `ComponentTransferRable`

### setBlueFunction

    public void setBlueFunction(ComponentTransferFunction blueFunction)

  Sets the transfer function for the blue channel

  Specified by:
    `setBlueFunction` in interface `ComponentTransferRable`

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.